Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 421687 - dev-python/pylint-0.28.0 - please stabilize
Summary: dev-python/pylint-0.28.0 - please stabilize
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 470084
Blocks:
  Show dependency tree
 
Reported: 2012-06-18 07:14 UTC by Mike Nerone
Modified: 2014-07-09 12:44 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Nerone 2012-06-18 07:14:45 UTC
dev-python/pylint-0.25.1 has been in tree since 8 Feb 2012 (bug #401991). I see no bugs reported.
Comment 1 Pacho Ramos gentoo-dev 2013-08-21 09:53:54 UTC
Also alpha, ia64, arm, ppc64 and sparc need an stable version  for totem-3.8.x
Comment 2 Dirkjan Ochtman gentoo-dev 2013-08-21 10:41:26 UTC
Arches, go ahead.
Comment 3 Agostino Sarubbo gentoo-dev 2013-08-23 07:49:59 UTC
# required by dev-python/pylint-0.28.0
# required by =dev-python/pylint-0.28.0 (argument)
=dev-python/astng-0.24.3 ~amd64
Comment 4 Agostino Sarubbo gentoo-dev 2013-08-23 07:51:12 UTC
# required by dev-python/astng-0.24.3
# required by dev-python/pylint-0.28.0
# required by =dev-python/pylint-0.28.0 (argument)
=dev-python/logilab-common-0.60.0 ~amd64
Comment 5 Pacho Ramos gentoo-dev 2013-08-26 09:00:55 UTC
python team, are you ok with stabilizing them also? (both are maintained by you)
Comment 6 Dirkjan Ochtman gentoo-dev 2013-08-26 11:21:47 UTC
No. For one thing, logilab-common-0.60.0 hasn't been in the tree long enough.

Also, I recommend disabling any tests relying on pylint in totem (I hope that's the only place where they use it). The logilab stuff is a PITA to deal with.
Comment 7 Pacho Ramos gentoo-dev 2013-08-26 11:30:33 UTC
Reviewing it again, looks like we can stick with current stable pylint version, but we need it stabilized in some more arches. Are you ok with that? Or is pylint going to drop its stable keywords soon?

The "gnome consumer" is:
media-video/totem/totem-3.8.2-r1.ebuild:	test? ( python? ( dev-python/pylint ) )


but, if we are going to disable it, we would need some rationale to add as a comment in ebuild too
Comment 8 Dirkjan Ochtman gentoo-dev 2013-08-26 11:34:17 UTC
The rationale is that pylint is a linting tool, and I think that doesn't make any sense to do on the distribution side. Linting tools are for developers; I guess they do linting in their CI setup to enforce some rules, but I don't think we get any value from linting their source code on every build.
Comment 9 Agostino Sarubbo gentoo-dev 2013-08-31 08:44:36 UTC
CC
Comment 10 Agostino Sarubbo gentoo-dev 2013-08-31 08:45:09 UTC
(In reply to Agostino Sarubbo from comment #9)
> CC

Err.

CC back arches at proper time
Comment 11 Pacho Ramos gentoo-dev 2013-09-01 19:19:15 UTC
No longer needed by totem
Comment 12 Pacho Ramos gentoo-dev 2014-02-09 17:34:31 UTC
Feel free to close was wontfix if preferred